include(FindSimpleLibrary)
include(FindPackageHandleStandardArgs)

find_simple_library(libcJPG.a jpeglib.h _
  PATH_VAR CJPG_PATH
  OTHER_MACROS JPEG_LIB_VERSION_MAJOR JPEG_LIB_VERSION_MINOR)

set(JPEG_VERSION "${JPEG_LIB_VERSION_MAJOR}.${JPEG_LIB_VERSION_MINOR}")

find_package_handle_standard_args(cJPG
  REQUIRED_VARS CJPG_PATH
  VERSION_VAR JPEG_VERSION)

if(cJPG_FOUND)
  add_library(cJPG::cJPG UNKNOWN IMPORTED)
  set_target_properties(cJPG::cJPG PROPERTIES
    IMPORTED_LOCATION "${CJPG_PATH}"
    INTERFACE_LINK_OPTIONS "-lm;-lcJPG")
endif()
